package cloud.javastudy.demo.service.consumer;

import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.stereotype.Component;

/**
 * @Author lixiang
 * @CreateTime 2019/11/22
 **/

@Component
@RocketMQMessageListener(topic = "javastudy",consumerGroup = "test-consumer-group")
public class TestConsumer implements RocketMQListener<String> {

    @Override
    public void onMessage(String message) {
        System.out.println("get message:"+message);
    }
}
